new;

#define USE_QUAD

#ifdef USE_QUAD
  library skew,gdr,pgraph;
  dlibrary quad;
#else
  library skew,pgraph;
#endif

x = seqa(-10,20/100,101);
mu = -1;
alpha = -2;
sigma = 3;

_skew_mtd = 0;
pdf = pdfSN(x,mu,sigma,alpha); 
cdf = cdfSN(x,mu,sigma,alpha); 
_skew_mtd = 1;
cdf = cdf~cdfSN(x,mu,sigma,alpha); 
cdf = cdf~cdfMSN(x,mu,sigma^2,alpha); 

#ifdef USE_QUAD
fn f(x) = pdfSN(x,mu,sigma,alpha); 
cdf2 = quadLegendre1(&f,x'|(-10+0*x'),128); 
#endif

cdf3 = cdfn((x-mu)/sigma);

graphset;
  begwind;
  window(1,2,0);
    _pdate = ""; _pframe = 0; _pnum = 2;
    _paxht = 0.25; _pnumht = 0.25; _ptitlht = 0.30;
    _pltype = 6|1|3; _plwidth = 10; _pcolor = 9|10|11|12|13;

    xtics(-10,10,5,2);

  setwind(1);
    title("\216PDF of SN");
    xy(x,pdf);

  setwind(2);
    title("\216CDF of SN");
    _plegctl = {2 4 4.25 1};
#ifdef USE_QUAD
    _plegstr = "cdfSN (1st method)\000cdfSN (2nd method)\000cdfMSN\000QuadLegendre\000cdfn";
    xy(x,cdf~cdf2~cdf3);
#else
    _plegstr = "cdfSN (1st method)\000cdfSN (2nd method)\000cdfMSN\000cdfn";
    xy(x,cdf~cdfn((x-mu)/sigma));
#endif

  graphprt("-c=1 -cf=sn2.eps");

  endwind;

