new;

#define USE_QUAD

#ifdef USE_QUAD
  library skew,gdr,pgraph;
  dlibrary quad,mvt1,mvt2;
#else
  library skew,pgraph;
  dlibrary mvt1,mvt2;
#endif

x = seqa(-10,20/100,101);
mu = -1;
alpha = 1;
sigma = 3;
nu = 3;

_skew_mtd = 0;
pdf = pdfST(x,mu,sigma,alpha,nu); 
cdf = cdfST(x,mu,sigma,alpha,nu); 
_skew_mtd = 1;
cdf = cdf~cdfST(x,mu,sigma,alpha,nu); 
cdf = cdf~cdfMST(x,mu,sigma^2,alpha,nu); 

#ifdef USE_QUAD
fn f(x) = pdfST(x,mu,sigma,alpha,nu); 
cdf2 = quadLegendre1(&f,x'|(-50+0*x'),1024); 
#endif

graphset;
  begwind;
  window(1,2,0);
    _pdate = ""; _pframe = 0; _pnum = 2;
    _paxht = 0.25; _pnumht = 0.25; _ptitlht = 0.30;
    _pltype = 6|1|3; _plwidth = 10; _pcolor = 9|10|11|12|13;

    xtics(-10,10,5,2);

  setwind(1);
    title("\216PDF of ST");
    xy(x,pdf);

  setwind(2);
    title("\216CDF of STN");
    _plegctl = {2 4 4.75 1};
#ifdef USE_QUAD
    _plegstr = "cdfST (1st method)\000cdfST (2nd method)\000cdfMST\000QuadLegendre\000cdft";
    xy(x,cdf~cdf2~cdft((x-mu)/sigma,nu));
#else
    _plegstr = "cdfST (1st method)\000cdfST (2nd method)\000cdfMST\000cdft";
    xy(x,cdf~cdft((x-mu)/sigma,nu));
#endif

  graphprt("-c=1 -cf=st2.eps");

  endwind;


