new;
library skew,pgraph;

r = 50000; c = 1;
mu = -3;
alpha = 5;
sigma = 2;
nu = 3;

_skew_mtd = 0;
u1 = rndST(r,c,mu,sigma,alpha,nu); 
_skew_mtd = 1;
u2 = rndST(r,c,mu,sigma,alpha,nu); 

{x,d1} = Kernel(u1,-6,12,128);
{x,d2} = Kernel(u2,-6,12,128);
d3 = pdfST(x,mu,sigma,alpha,nu); 

graphset;
  _pdate = ""; _pframe = 0; _pnum = 2;
  _pltype = 6|1|3; _plwidth = 10;
   xtics(-6,12,2,0);
  _plegstr = "rndST (1st method)\000rndST (2nd method)\000True (pdfST)";
  _plegctl = {2 5 5 2};
  graphprt("-c=1 -cf=st3.eps");
  xy(x,d1~d2~d3);

/*
**> Gaussian Kernel
*/

proc (2) = Kernel(data,x_min,x_max,nX);
  local n,s,h,dx,x,d,i,u,K;

  n = rows(data);
  s = stdc(data);
  h = 1.364*s*(N^(-0.2));
  dx = (x_max-x_min)/(nX-1);
  x = seqa(x_min,dx,nX);
  d = zeros(nX,1); 

  i = 1;
  do until i > nX;
    u = (x[i]-data)/h;
    K = pdfn(u);
    d[i] = sumc(k)/(n*h);
    i = i + 1;
  endo;

  retp(x,d);
endp;